## sysvinit-2.78.tar.gz

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.78  13-Nov-1999  miquels@cistron.nl
#

CC	= cc
CFLAGS	= -Wall -O2 -D_GNU_SOURCE
LDFLAGS	= -s
STATIC	=

# For Debian we do not build all programs, otherwise we do.
ifeq ($(DEBIAN),)
PROGS	= init halt shutdown killall5 runlevel sulogin utmpdump \
		last mesg wall
else
PROGS	= init halt shutdown killall5 runlevel sulogin last mesg
endif

BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER).$(BIN_GROUP)
INSTALL		= install -o $(BIN_OWNER) -g $(BIN_GROUP)

# Additional libs for Gnu Libc
ifneq ($(wildcard /usr/lib/libcrypt.a),)
LCRYPT		= -lcrypt
endif

all:		$(PROGS)

init:		init.o init_utmp.o
		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o

halt:		halt.o ifdown.o utmp.o reboot.h
		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o

last:		last.o oldutmp.h
		$(CC) $(LDFLAGS) -o $@ last.o

mesg:		mesg.o
		$(CC) $(LDFLAGS) -o $@ mesg.o

utmpdump:	utmpdump.o
		$(CC) $(LDFLAGS) -o $@ utmpdump.o

runlevel:	runlevel.o
		$(CC) $(LDFLAGS) -o $@ runlevel.o

sulogin:	sulogin.o
		$(CC) $(LDFLAGS) $(STATIC) -o $@ sulogin.o $(LCRYPT)

wall:		dowall.o wall.o
		$(CC) $(LDFLAGS) -o $@ dowall.o wall.o

shutdown:	dowall.o shutdown.o utmp.o reboot.h
		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o

bootlogd:	bootlogd.o
		$(CC) $(LDFLAGS) -o $@ bootlogd.o

init.o:		init.c init.h set.h reboot.h
		$(CC) -c $(CFLAGS) init.c

utmp.o:		utmp.c init.h
		$(CC) -c $(CFLAGS) utmp.c

init_utmp.o:	utmp.c init.h
		$(CC) -c $(CFLAGS) -DINIT_MAIN utmp.c -o init_utmp.o

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(PROGS)

distclean:	clobber

install:
		$(INSTALL) -m 755 halt init killall5 sulogin \
			runlevel shutdown $(ROOT)/sbin
		# These are not installed by default
ifeq ($(DEBIAN),)
		$(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
endif
		# $(INSTALL) -m 755 etc/initscript.sample $(ROOT)/etc
		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
		cd $(ROOT)/bin; ln -sf ../sbin/killall5 pidof; chown $(BIN_COMBO) pidof
		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
		$(INSTALL) -m 644 initreq.h $(ROOT)/usr/include
		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/share/man/man8
		$(INSTALL) -m 644 ../man/*.5 $(ROOT)/usr/share/man/man5
ifeq ($(DEBIAN),)
		$(INSTALL) -m 644 ../man/wall.1 $(ROOT)/usr/share/man/man1
endif
		$(INSTALL) -m 644 ../man/last.1 ../man/lastb.1 ../man/mesg.1 \
			$(ROOT)/usr/share/man/man1
		#
		# This part is skipped on debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /dev/initctl ]; then \
		 echo "Creating /dev/initctl"; \
		 rm -f /dev/initctl; \
		 mknod -m 600 /dev/initctl p; fi

=== debian/changelog ===
sysvinit (2.78-2) frozen unstable; urgency=high

  * Change "booting" to "reloading" message at reload
  * Don't create /etc/init.d/network if missing (closes: #56373)
  * Treat SMB filesystems like NFS ones in mountall.sh and
    mountnfs.sh (fixes: #55414)
  * bootmisc.sh: do not remove files in /var/run that are newer
    than /etc/mtab. This should preserve pid files created before
    this script ran (closes: #49816)
  * Add "-z xxx" dummy command line argument (closes: #54717)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 11 Feb 2000 12:17:54 +0100

sysvinit (2.78-1) unstable; urgency=low

  * 2.78 will be the new upstream version, I'm skipping 2.77
  * Update /etc/init.d/rc (closes: #48764)
  * Add -C argument to fck (closes: #47914, #53335)
  * don't remove files in /var/run and /var/lock that are newer
    than /etc/mtab (may fix the dhcpcd problems)
  * Save kernel messages in /var/log/dmesg like RedHat does (closes: #47574)
  * Shutdown now calls sync before switching the runlevel to 0 or 6,
    or before unmounting filesystems if -n was used (closes: #46461)
  * Call umount with -f option to force NFS umounts (closes: #45715)
  * Fix TMPTIME documentation in rcS(5) (closes: #42570, #53224)
  * Some cosmetic changes to init.c (closes: #32079)
  * Move to /usr/share to comply with latest policy

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 30 Dec 1999 20:40:23 +0100

sysvinit (2.77-3) unstable; urgency=low

  * Remove hwclock.sh initialization and script itself (closes: #45164)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:52:02 +0200

sysvinit (2.77-2) unstable; urgency=low

  * Recompile against glibc 2.1 instead of 2.0
  * Fix compilation problems with glibc 2.1
  * Fix last -i option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:51:50 +0200

sysvinit (2.77-1) unstable; urgency=low

  * Write reboot record into utmp file as well to make rms happy
  * Change GMT to UTC in /etc/default/rcS
  * Change /var/run/utmp to mode 664 group utmp if utmp group exists
  * Fork and dump core in / if SIGSEGV is received for debugging purposes
  * Patch by Craig Sanders <cas@vicnet.net.au> for "last" -i option
  * Fixes:
    #35429: sysvinit: bad comments in /etc/defaults/rcS
    #37807: mountnfs.sh should start rpc.statd if available
    #38384: sysvinit: Slight gramitical error in /etc/init.d/README
    #41660: [Patch] bootmisc.sh: Change /var/run/utmp ownership to [...]
    #41458: mountnfs.sh: should ignore noauto
    #40923: sysvinit: /etc/ioctl.save a state file?
    #42183: util-linux: hwclock.sh depends on UTC which is not defined

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  4 Aug 1999 11:16:23 +0200

sysvinit (2.76-4) unstable; urgency=low

  * Change dowall.c to handle Unix98 ptys correctly
  * Add comment in rcS about usage of setup.sh and unconfigured.sh
  * Shutdown now removes nologin file just before calling telinit
  * SEGV handler now tries to continue after sleep of 30 seconds.
    On a 386-class processor it also prints out the value of EIP.
  * Fix for racecondition in check_init_fifo() by Richard Gooch
  * Fixes:
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #35689: wall/shutdown cannot handle Unix98 PTYs
    #30392: sysvinit scripts are not executable
    #32699: bootmisc.sh: should check for existence of /dev/tty[p-za-e][0-9a-f]
    #34062: mountnfs.sh: ignore comments in fstab [patch]
    #34780: sysvinit: ignores most options for rootfs
    #35017: sysvinit: nologin after sungle user mode [sic]
    #36209: init: segmentation violation (possibly kernel)
    #36294: sysvinit: sulogin does not appear to recognize shadow passwords
    #36705: README in init.d has section number off by 0.1
    #36849: sysvinit: shutdown doesn't send shutdown message to unix98 ptys
    #36856: sysvinit: /etc/init.d/rc calls bash for no reason
    #37265: sysvinit: devpts incompatibility?
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #33954: sysvinit: [wishlist] bootmisc.sh: touch /var/run/utmpx

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  8 May 1999 17:22:57 +0200

sysvinit (2.76-3) frozen unstable; urgency=high

  * Small bugfix to last.c courtesy of Danek Duvall <duvall@emufarm.ml.org>
  * Recompile with latest libs, so dependency on libc6 (>= 2.0.7u) is gone.
  * Fixes bugs:
    #31601: sysvinit: Doesn't wipe new files from /tmp
    #28132: checkroot.sh parsing of /etc/fstab is incorrect.
    #29729: sysvinit: references wrong policy homepage
    #27949: last: should use down instead of crash

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 12 Jan 1999 12:12:44 +0100

sysvinit (2.76-2) frozen unstable; urgency=high

  * Minor fix in debian/rules for dependency problem on the Alpha.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Nov 1998 10:54:28 +0100

sysvinit (2.76-1) frozen unstable; urgency=high

  * Fix bug in check_pipe() which crashes init on the Alpha.
  * Re-upload since this should go into frozen too, ofcourse.
  * Changed the version number to 2.76, even though it's a minor
    upgrade. I want to release this version outside Debian too.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  3 Nov 1998 11:09:13 +0100

sysvinit (2.75-4) unstable; urgency=low

  * Change sulogin password buffer to 128 characters.
  * Don't print control characters in dowall.c
  * Try to open getenv ("CONSOLE"), /dev/console and /dev/tty0 in order.
    For backwards compatibility when you try to boot a 2.0.x kernel
    with a linux > 2.1.70 /dev/console device.
  * Change src/Makefile for non-debian systems (mainly, RedHat)
  * Try to create /dev/initctl if not present; check every time to see
    if the dev/ino of /dev/initctl has changed and re-open it. This should
    help devfs a bit.
  * Send SIGUSR1 to init at bootup to let it re-open /dev/initctl;
    again in support of devfs.


=== debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.1.1.0

Package: sysvinit
Essential: yes
Architecture: any
Pre-depends: ${shlibs:Depends}
Conflicts: last, file-rc (<= 0.4.2), kbd (<< 0.95-2), mdutils (<< 0.35-9)
Depends: dpkg (>= 1.4.0.21), mount (>= 2.7i-1), util-linux (>= 2.9t-2), e2fsprogs (>= 1.15-1)
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init.
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

# Name.
package = sysvinit
tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc/$(package)

define checkdir
	test -f src/init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	(cd src; make DEBIAN=cool)
	touch build

# Architecture independant files.
binary-indep:   build
	$(checkdir)

# Make a binary package (.deb file)
binary-arch:	build checkroot
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/doc
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/include
	install -d -g root -m 755 -o root $(tmp)$(doc)
	install -g root -m 644 debian/changelog $(tmp)$(doc)
	install -g root -m 644 debian/README.runlevels $(tmp)$(doc)
	gzip -9f $(tmp)$(doc)/{changelog,README.runlevels}
	install -d -g root -m 755 -o root $(tmp)$(doc)/examples
	cp -af debian/examples/* $(tmp)$(doc)/examples
	cp -af debian/etc/* $(tmp)/etc
	mv $(tmp)/etc/inittab $(tmp)$(doc)/examples
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/bin
	install -d -g root -m 755 -o root $(tmp)/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man{1,5,8}
	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
	(cd src; make ROOT=$(tmp) DEBIAN=cool install )
	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/share/man/man5
	install -g root -m 644 debian/rcS.5 $(tmp)/usr/share/man/man5
	gzip -9f $(tmp)/usr/share/man/man*/*
	install -g root -m 644 -o root debian/README \
	  $(tmp)$(doc)/copyright
	cp debian/preinst  $(tmp)/DEBIAN/preinst
	cp debian/prerm    $(tmp)/DEBIAN/preinst
	cp debian/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 644 -o root debian/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps src/init
	dpkg-gencontrol
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	(cd src; make clobber )
	rm -f build debian/files debian/substvars
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
